### Constructor

# Camel MessageInfo new_from_message

since: 3.54

#### Declaration [src]

    CamelMessageInfo*
    camel_message_info_new_from_message (
      CamelFolderSummary* summary,
      CamelMimeMessage* message
    )

#### Description [src]

Create a new `CamelMessageInfo` pre-populated with info from `message`.

Available since: 3.54

#### Parameters

`summary`

  Type: `CamelFolderSummary`

  A `CamelFolderSummary` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`message`

  Type: `CamelMimeMessage`

  A `CamelMimeMessage`.

  The data is owned by the caller of the function.

#### Return value

Type: `CamelMessageInfo`

A new `CamelMessageInfo`.

The caller of the function takes ownership of the data, and is responsible for freeing it.